Subject: Re: Cease and desist for companies and government agencies misusing git

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Oct 2025 12:50:55 -0700

Mark Bauermeister <[email-masked]> writes:

> Is it time for an online campaign ala "Merge commits considered harmful"?
>
> I have nothing against a merge commit being the result of a successful
> PR but people spamming merge commits are ... something else.

There do exist people who make pointless back-merges into their
topic from the trunk, just like there are those who pointlessly
rebase their topic every time they notice that the trunk got
updated.  Both are bad, even though constant rebasing would hide the
fact they were rebased and what was integrated at the end was less
well tested than what was originally written, so in a sense it may
be worse.

These people need to learn that they can make trial merges every
once in a while so that their topic can be used with more recent tip
of trunk than where they forked from, and that they do not have to
keep these trial merges in the history.